For the complete documentation index, see llms.txt. This page is also available as Markdown.

Handling

Handling

List handlings

get
/tenants/{tenantUid}/handlings

List all order handlings

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/handlings
GET /v2/tenants/{tenantUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "triggers": [
        {
          "active": true,
          "trigger": "AUTO_PRINT_PICKUP_LABELS",
          "state": "NOT_STARTED",
          "value": "text",
          "handlingTriggerUid": "text"
        }
      ],
      "requireSerialnumberForComplete": true,
      "templateUidForComplete": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new handling

post
/tenants/{tenantUid}/handlings

Create a new handling.

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Request for creating or updating an orderhandling

handlingUidstringOptionalPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
descriptionstringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanOptional
templateUidForCompletestringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired

All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE

templateUidForCompletestringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/handlings
POST /v2/tenants/{tenantUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "handlingUid": "text",
  "active": true,
  "description": "text",
  "name": "text",
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}
201

Example response

{
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "triggers": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}

Get handling details

get
/tenants/{tenantUid}/handlings/{handlingUid}

Get handling details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired

All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE

templateUidForCompletestringRequiredPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/handlings/{handlingUid}
GET /v2/tenants/{tenantUid}/handlings/{handlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "triggers": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}

Update handling details

put
/tenants/{tenantUid}/handlings/{handlingUid}

Update handling details

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Body

Request for creating or updating an orderhandling

activebooleanRequired
descriptionstringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanOptional
templateUidForCompletestringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
200

Example response

application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired

All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE

templateUidForCompletestringRequiredPattern: ^[A-Za-z0-9-_]*
put/tenants/{tenantUid}/handlings/{handlingUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "active": true,
  "description": "text",
  "name": "text",
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}
200

Example response

{
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "triggers": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}

Delete a handling

delete
/tenants/{tenantUid}/handlings/{handlingUid}

Delete a handling

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/handlings/{handlingUid}
DELETE /v2/tenants/{tenantUid}/handlings/{handlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List handling triggers

get
/tenants/{tenantUid}/handlings/{handlingUid}/triggers

List handling triggers

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/handlings/{handlingUid}/triggers
GET /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add a trigger to a handling

post
/tenants/{tenantUid}/handlings/{handlingUid}/triggers

Add a trigger to a handling

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringOptional
handlingTriggerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
204

Example response

application/json
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringRequired
handlingTriggerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/handlings/{handlingUid}/triggers
POST /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}
204

Example response

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}

Get handling trigger details

get
/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}

Get handling trigger details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingTriggerUidstringRequired

Reference to a handlingTriggerUid

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringRequired
handlingTriggerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
GET /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}

Update handling trigger details

put
/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}

Update handling trigger details

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingTriggerUidstringRequired

Reference to a handlingTriggerUid

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringOptional
handlingTriggerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
204

Example response

application/json
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringRequired
handlingTriggerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}
204

Example response

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}

Delete a handling trigger

delete
/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}

Delete a handling trigger

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingTriggerUidstringRequired

Reference to a handlingTriggerUid

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
DELETE /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List Handling actions

get
/tenants/{tenantUid}/handlings/{handlingUid}/actions

List Handling actions

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
handlingActionStoreUidstringOptional

Reference to a store uid.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/handlings/{handlingUid}/actions
GET /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "active": true,
      "allowComment": true,
      "name": "text",
      "storeUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "handlingActionUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new handling action

post
/tenants/{tenantUid}/handlings/{handlingUid}/actions

Create new handling action

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Body
handlingActionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/handlings/{handlingUid}/actions
POST /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "handlingActionUid": "text",
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text"
}
200

Example response

{
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Get handling action details

get
/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}

Get handling action details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingActionUidstringRequired

Reference to an handling action id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}
GET /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Update a handling action

put
/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}

Update a handling action

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingActionUidstringRequired

Reference to an handling action id.

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
200

Example response

application/json
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text"
}
200

Example response

{
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Delete a handling action

delete
/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}

Delete a handling action

Required permissions: HANDLING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingActionUidstringRequired

Reference to an handling action id.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}
DELETE /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated